'use strict';

export default class GameParams {
  constructor(playerBlueName, playerRedName, gameDeckMode, advancedRules = []) {
    this.playerBlueName = playerBlueName;
    this.playerRedName = playerRedName;
    this.gameDeckMode = gameDeckMode;
    this.advancedRules = advancedRules;
  }

  setCurrentPlayer(playerController) {
    this.currentPlayer = playerController;
  }

  getCurrentPlayer() {
    return this.currentPlayer;
  }


}
